- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3a8b5af0-8a23-483b-985a-c67b9ebe8b82
    creation_time: 2023-02-17T12:12:50.887752Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 33
    column: 0
    function: main
  loop_invariant:
    string: p*s-r*q == 1 && a == y*r+x*p && b == x*q+y*s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d8f0cff3-0de7-4c2c-b8f1-c319e34dd124
    creation_time: 2023-02-17T12:12:50.888090Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 34
    column: 0
    function: main
  location_invariant:
    string: 1 == p*s-r*q
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e33653e8-de89-4862-88b4-627a98be5cb2
    creation_time: 2023-02-17T12:12:50.888192Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 35
    column: 0
    function: main
  location_invariant:
    string: a == y*r+x*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6bf4bc49-4ac7-4814-a614-d814196c69bf
    creation_time: 2023-02-17T12:12:50.888275Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 36
    column: 0
    function: main
  location_invariant:
    string: b == x*q+y*s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b818157f-4356-4d29-9657-65d238e37c6a
    creation_time: 2023-02-17T12:12:50.888357Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 52
    column: 0
    function: main
  location_invariant:
    string: a-b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 49431dcb-87e4-455d-9921-2a7df50971ab
    creation_time: 2023-02-17T12:12:50.888439Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 53
    column: 0
    function: main
  location_invariant:
    string: p*x+r*y-b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 66d3a23e-cb4e-47cb-b9b3-4fedc9a8e712
    creation_time: 2023-02-17T12:12:50.888523Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 54
    column: 0
    function: main
  location_invariant:
    string: q*r-p*s+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e7fb6099-24a2-486b-9931-8bb223c2be91
    creation_time: 2023-02-17T12:12:50.888604Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd-ll.c
      input_file_hashes:
        c/nla-digbench/egcd-ll.c: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd-ll.c
    file_hash: 5cf588c7d7521936f2238a5a4b8ed55e91050a69daa6016b5b2b4a486ef1b9f8
    line: 55
    column: 0
    function: main
  location_invariant:
    string: q*x+s*y-b == 0
    type: assertion
    format: C

